Name:    libassuan
Summary: GnuPG IPC library
Version: 1.0.3
Release: 1

License: LGPL
Source0: ftp://ftp.gnupg.org/gcrypt/libassuan/libassuan-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/libassuan/libassuan-%{version}.tar.bz2.sig
Patch0: libassuan-%{version}-aix.patch
URL:     http://www.gnupg.org/
Group:   System Environment/Libraries
Obsoletes: %{name}-devel < %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pth-devel

Requires: pth-devel
Requires: /sbin/install-info
Requires: info

%description
This is the IPC library used by GnuPG 1.9/2, GPGME and a few other
packages.

This package contains files needed to develop applications using %{name}.


%prep
%setup -q


%build
./configure --prefix=%{_prefix} --infodir=%{_prefix}/info
# patch to include setenv.c in the library which is required for AIX
cd src
patch -s < %{PATCH0}
cd ..
make

cd src

CreateExportList libassuan.exp libassuan.a
cc -qmkshrobj libassuan.a -o shr.o -bE:libassuan.exp
rm -f libassuan.exp libassuan.a
ar -rv libassuan.a shr.o

CreateExportList libassuan-pth.exp libassuan-pth.a
cc -qmkshrobj libassuan-pth.a -o shr.o -bE:libassuan-pth.exp -L/opt/freeware/lib -lpth
rm -f libassuan-pth.exp libassuan-pth.a
ar -rv libassuan-pth.a shr.o

cd ..


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
gzip -9 $RPM_BUILD_ROOT%{_infodir}/assuan.info


%post
/sbin/install-info %{_infodir}/assuan.info.gz %{_infodir}/dir

%postun
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete %{_infodir}/assuan.info.gz %{_infodir}/dir
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.a
%{_datadir}/aclocal/*
%{_infodir}/assuan.info*


%changelog
* Sat Oct 06 2007 Michael Perzl <michael@perzl.org> - 1.0.3-1
- first version for AIX V5.1 and higher

